Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 585964 - Update the dynamic search patch to look for tracker-0.8
Summary: Update the dynamic search patch to look for tracker-0.8
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-26 14:30 UTC by Deji Akingunola
Modified: 2015-03-03 22:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 15:25:47 UTC
Type: ---


Attachments (Terms of Use)

Description Deji Akingunola 2010-04-26 14:30:26 UTC
Description of problem:
Can you please update the nautilus's dynamic search patch to look for tracker-0.8 instead of tracker-0.7 (dlopen libtracker-client-0.8.so.0 instead of libtracker-client-0.7.so.0 as done already upstream)? As the tracker maintainer for Fedora, I'm hoping to update tracker to its 0.8 series in F-12.
Thanks.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tomáš Bžatek 2010-04-26 14:39:25 UTC
The patch can be easily backported to old nautilus, I don't see a problem with that.

But do you really think it's wise to rebase component like tracker in quite old and stable distro? FWIW, Fedora 13 also ships with tracker 0.6 series. Other packages like GtkFileChooser and Rhythmbox would need to be adapted as well. Not mentioning lack of testing, different UI and functionality.

Comment 2 Deji Akingunola 2010-04-26 14:54:00 UTC
I'm updating tracker in F-13 too, however it seems most (all) of the changes needed for the other packages (GtkFileChooser, Rhythmbox, and totem) to use tracker-0.8 are already upstream and in F-13 (or will be in the next back of gnome-2.30.1 updates).
I quite agree with you that the update for F-12 might be taking it too far, but tracker-0.6 is just so bad, I'm getting overwhelmed with its bugs (bugz.fedoraproject.org/tracker) ;)

Comment 3 Deji Akingunola 2010-04-26 15:15:30 UTC
In addition, gtk and totem packages in F-12 already have support for tracker-0.7 (which is sort of redundant now). I believe those can be updated for tracker-0.8 in a non-obstructive way, I can submit patches for both of them.

Comment 4 Tomáš Bžatek 2010-04-26 16:13:22 UTC
(In reply to comment #3)
> In addition, gtk and totem packages in F-12 already have support for
> tracker-0.7 (which is sort of redundant now). I believe those can be updated
> for tracker-0.8 in a non-obstructive way, I can submit patches for both of
> them.    
Luckily the tracker support in gtk and nautilus are quite separate pieces of code not needing any change while backporting.

Comment 5 Bug Zapper 2010-11-03 16:16:59 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 15:25:47 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.